Bug 59346 - cc1plus grows to fill all memory and swap
Summary: cc1plus grows to fill all memory and swap
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gcc   
(Show other bugs)
Version: 7.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-02-05 22:33 UTC by Need Real Name
Modified: 2007-04-18 16:39 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-02 20:07:29 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2002-02-05 22:33:04 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.7) Gecko/20011226

Description of problem:
When rebuilding the source RPM obtained from
ftp://ftp.redhat.com/pub/redhat/linux/rawhide/SRPMS/SRPMS/qt-3.0.2-0.cvs20020118.2.src.rpm,

The makefile gets as far as compiling makefile.cpp, then cc1plus
(gcc-c++-2.96-98) slowly grows to fill all available memory, consumes all swap
space, and thrashes for a while before finally terminating with an Internal
Error message.  Compilation of the source file ceases after a short while (the
.s file in /var/tmp stops growing in size).


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.  Rpm rpm--rebuild <the rpm file>
2.  Watch it die.

	

Actual Results:  cc1plus grows to fill all available memory and swap space,
thrashes for some time, then halts with an internal error message.

Expected Results:  Successful compilation of the source file, or at least an
error message.

Additional info:

Comment 1 Jerry Quinn 2002-03-15 23:12:29 UTC
This still happens in qt3-3.0.2-1.src.rpm.  If you build makefile.cpp with no -O2
flag, qt3 will build fine.  Building stock qt3 from the tarball, qmake is not
built with optimization and the problem doesn't show up.

gcc-2.96-106 still exhibits this problem.


Comment 2 Jakub Jelinek 2004-10-02 20:07:29 UTC
GCC 2.96-RH is too old now, if you are able to reproduce this with
a newer GCC, please reopen.


Note You need to log in before you can comment on or make changes to this bug.